// import TabsView from "@/layouts/tabs/TabsView";
// import BlankView from "@/layouts/BlankView";
import Layouts from "@/layouts/Layouts";
// import PageView from '@/layouts/PageView'

// 路由配置
const options = {
  routes: [
    {
      path: "/apppreview",
      name: "预览页面",
      component: () => import("@/pages/basicset/appmarket/AppPreview"),
    },
    {
      path: "/",
      name: "首页",
      component: Layouts,
      redirect: "/business/mattermanage",
      children: [
        {
          path: "/business",
          meta: {
            icon: "book",
          },
          component: () => import("@/pages/basicset/business/Index"),
          children: [
            {
              path: "",
              name: "业务事项管理",
              meta: {
                icon: "book",
                invisible: true,
              },
              component: () => import("@/pages/basicset/business/business"),
              redirect: "/business/businessmanage",
              children: [
                // 业务管理
                // {
                //   path: "businessmanage",
                //   meta: {
                //     invisible: true,
                //   },
                //   component: () =>
                //     import(
                //       "@/pages/basicset/business/components/businessTabs1"
                //     ),
                // },
                // 事项管理
                {
                  path: "mattermanage",
                  meta: {
                    invisible: true,
                  },
                  component: () =>
                    import(
                      "@/pages/basicset/business/components/businessTabs2"
                    ),
                },
                // 业务事项关联
                // {
                //   path: "businessinmanage",
                //   meta: {
                //     invisible: true,
                //   },
                //   component: () =>
                //     import(
                //       "@/pages/basicset/business/components/businessTabs3"
                //     ),
                // },
                // // 办事指南事项管理
                // {
                //   path: "workguide",
                //   meta: {
                //     invisible: true,
                //   },
                //   component: () =>
                //     import(
                //       "@/pages/basicset/business/components/businessTabs4"
                //     ),
                // },
              ],
            },
            {
              path: "addmatter",
              name: "新增事项",
              component: () => import("@/pages/basicset/addmatter/AddMatter"),
              meta: { invisible: true },
            },
            {
              path: "synopsis",
              name: "事项概要",
              component: () => import("@/pages/basicset/addmatter/Synopsis"),
              meta: { invisible: true },
            },
          ],
        }
      ],
    },
  ],
};

export default options;
